function send_msg()
{
	const div_msg = document.getElementById('chat_msg_write');
	let msg = "";
	if (div_msg.localName === "div")
	{
		msg = div_msg.innerText.trim();
		div_msg.innerText = "";
	}
	else if (div_msg.localName === "textarea")
	{
		msg = div_msg.value.trim();
		div_msg.value = "";
	}
	div_msg.focus();

	console.log(msg);

	if (msg.length > 0) {
		socket.emit('sendmsg', msg);
		add_message("me", msg);
	}
}

function send_msg_if(evt)
{
	if (evt.shiftKey && evt.key === "Enter")
	{
		evt.preventDefault();
		send_msg();
	}
}
